Creates a new db_file by supplying directly the field db_file.file_content as Byte Array
Request Information
URI Parameters :
None.
Body Parameters :
db_file| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| db_table_id |
Table.id of the linked entity |
globally unique identifier | |
| db_table_name |
Foreign key to the table of the linked entity using table name. Can be article,company,contact,jobs,job_approval,project or task.Will be also filled on Get to allow Odata Filter on it |
string | |
| id_in_table |
Id of the linked entity |
globally unique identifier | |
| name |
Name of the file |
string |
Required Max length: 100 |
| description |
Description of the file |
string |
Max length: 4000 |
| file_name |
File_name of the file |
string |
Max length: 100 |
| image_width |
In case of picture, the original width |
integer | |
| image_heigth |
In case of picture, the original heigth |
integer | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_content |
The file content, in Byte Array. Use this field when using POST/Put |
Collection of byte | |
| db_file_folder_id |
For Global Files : Foreign key to db file folder |
globally unique identifier | |
| db_file_folder_reference_back_office |
Embedded entity "db_file_folder" using ERP PK when adding/updating db_file |
string | |
| db_file_folder |
Embedded entity "db_file_folder" using node when adding/updating db_file |
db_file_folder | |
| sales_organization_id |
In case of global files - you can specifiy if it's available for all organization or only one |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_type_name |
Readonly :Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string | |
| file_size |
Size in bytes of the file_content |
integer | |
| user_notification |
For Global files - indicate if user should be informed that this file is available |
boolean | |
| is_archived |
Indicate if the file has been deleted (content flushed) |
boolean | |
| date_add |
Date when file has been added |
date | |
| date_update |
Update date, auto filled by Now if no value received |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "820cd565-3135-419f-a82d-403cd27b5975",
"db_table_id": "7be1a13b-29d6-4b15-bcf3-0c31d305a8da",
"db_table_name": "sample string 3",
"id_in_table": "f7726099-e6f0-4f82-8fd9-a9ccecc749b2",
"name": "sample string 5",
"description": "sample string 6",
"file_name": "sample string 7",
"image_width": 8,
"image_heigth": 9,
"mime_type": "sample string 10",
"file_content": "QEA=",
"db_file_folder_id": "ba13d17f-c6c5-4427-a107-d5574311ba64",
"db_file_folder_reference_back_office": "sample string 12",
"sales_organization_id": "0ea1117c-5b76-43c2-b61f-700fe3eb6a1d",
"sales_organization_code": "sample string 14",
"file_type_name": "sample string 15",
"file_size": 16,
"user_notification": true,
"is_archived": true,
"date_add": "2026-03-12T10:13:37.0849368+00:00",
"date_update": "2026-03-12T10:13:37.0849368+00:00",
"modified_dateutc": "2026-03-12T10:13:37.0849368+00:00"
}
Response Information
Resource Description :
db_file| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| db_table_id |
Table.id of the linked entity |
globally unique identifier | |
| db_table_name |
Foreign key to the table of the linked entity using table name. Can be article,company,contact,jobs,job_approval,project or task.Will be also filled on Get to allow Odata Filter on it |
string | |
| id_in_table |
Id of the linked entity |
globally unique identifier | |
| name |
Name of the file |
string |
Required Max length: 100 |
| description |
Description of the file |
string |
Max length: 4000 |
| file_name |
File_name of the file |
string |
Max length: 100 |
| image_width |
In case of picture, the original width |
integer | |
| image_heigth |
In case of picture, the original heigth |
integer | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_content |
The file content, in Byte Array. Use this field when using POST/Put |
Collection of byte | |
| db_file_folder_id |
For Global Files : Foreign key to db file folder |
globally unique identifier | |
| db_file_folder_reference_back_office |
Embedded entity "db_file_folder" using ERP PK when adding/updating db_file |
string | |
| db_file_folder |
Embedded entity "db_file_folder" using node when adding/updating db_file |
db_file_folder | |
| sales_organization_id |
In case of global files - you can specifiy if it's available for all organization or only one |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_type_name |
Readonly :Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string | |
| file_size |
Size in bytes of the file_content |
integer | |
| user_notification |
For Global files - indicate if user should be informed that this file is available |
boolean | |
| is_archived |
Indicate if the file has been deleted (content flushed) |
boolean | |
| date_add |
Date when file has been added |
date | |
| date_update |
Update date, auto filled by Now if no value received |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "c6c292f9-ca4e-4bd6-b57f-15f537b57b3c",
"db_table_id": "5ea34d7b-3930-43e5-a8cf-c12254555140",
"db_table_name": "sample string 3",
"id_in_table": "ac753f80-defd-48cb-a40d-5375375e2242",
"name": "sample string 5",
"description": "sample string 6",
"file_name": "sample string 7",
"image_width": 8,
"image_heigth": 9,
"mime_type": "sample string 10",
"file_content": "QEA=",
"db_file_folder_id": "05db3e9a-e4d0-4dda-913a-bd0f104c9d7b",
"db_file_folder_reference_back_office": "sample string 12",
"sales_organization_id": "11de45c2-ec2e-4e16-be73-83c2fbd3fc07",
"sales_organization_code": "sample string 14",
"file_type_name": "sample string 15",
"file_size": 16,
"user_notification": true,
"is_archived": true,
"date_add": "2026-03-12T10:13:37.1005582+00:00",
"date_update": "2026-03-12T10:13:37.1005582+00:00",
"modified_dateutc": "2026-03-12T10:13:37.1005582+00:00"
}